Request

Response

    Get File Attributes (Beta)
    GET

    vaults/{vaultId}/files/{id}/attributes

    This operation is currently in beta testing and can change before general availability (GA). Avoid using it in production applications.

    Retrieves all custom attributes in the specified namespace for a file.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/files/{id}/attributes
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a vault.
    id
    string
    The unique identifier of a file (file master ID).

    Request

    Query String Parameters

    namespc*
    string
    The namespace containing the file attributes.
    attribute
    string
    The name of the file attribute. If omitted, all attributes in the namespace are returned.
    * Required

    Response

    HTTP Status Code Summary

    200
    OK
    The file attributes were successfully retrieved.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.

    Response

    Body Structure (200)

    entityId
    string
    The unique identifier of the entity the attribute is stored on.
    namespace
    string
    The namespace containing the attribute.
    attribute
    string
    The attribute name.
    value
    string
    The attribute value. This value is null when the attribute is cloaked or cleared.
    isCloaked
    boolean
    Indicates whether the attribute value is hidden because the caller does not have access to the owning entity.

    Example

    This example illustrates how to retrieve custom attributes for a file.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/9/files/219/attributes?namespc=Custom' \
      -X 'GET' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    [
      {
        "entityId": "219",
        "namespace": "Custom",
        "attribute": "Project",
        "value": "2027-Bracket",
        "isCloaked": false
      },
      {
        "entityId": "219",
        "namespace": "Custom",
        "attribute": "Material",
        "value": "Steel",
        "isCloaked": false
      }
    ]
    
    Show More